/// MCC visuals dataset
///
/// Visuals (color, material icon name) for MCCs
///
/// {@category Datasets}
/// {@subCategory MCC}
library mcc__dataset;

const Map<String, Map<String, String>> MCCVisualsDataset = {
  '🐕': {'icon': 'pets', 'color': '#ff9800'},
  '🐶': {'icon': 'pets', 'color': '#ff9800'},
  '🐈': {'icon': 'pets', 'color': '#ff9800'},
  '🐱': {'icon': 'pets', 'color': '#ff9800'},
  '🚜': {'icon': 'local_shipping', 'color': '#cddc39'},
  '👷': {'icon': 'build', 'color': '#ff5722'},
  '🚧': {'icon': 'pan_tool', 'color': '#fbc02d'},
  '🚽': {'icon': 'wc', 'color': '#00bcd4'},
  '🔌': {'icon': 'home', 'color': '#607d8b'},
  '🖨': {'icon': 'print', 'color': '#607d8b'},
  '✈': {'icon': 'flight', 'color': '#2196f3'},
  '🛫': {'icon': 'flight', 'color': '#2196f3'},
  '🛬': {'icon': 'flight', 'color': '#2196f3'},
  '🚗': {'icon': 'directions_car', 'color': '#f44336'},
  '🚆': {'icon': 'train', 'color': '#009688'},
  '🚋': {'icon': 'tram', 'color': '#ff9800'},
  '🚌': {'icon': 'directions_bus', 'color': '#ff9800'},
  '🚕': {'icon': 'local_taxi', 'color': '#ff9800'},
  '🚑': {'icon': 'local_hospital', 'color': '#f44336'},
  '🏨': {'icon': 'hotel', 'color': '#8bc34a'},
  '⚕️': {'icon': 'local_pharmacy', 'color': '#e91e63'},
  '🚓': {'icon': 'traffic', 'color': '#607d8b'},
  '🚚': {'icon': 'local_shipping', 'color': '#4caf50'},
  '📦': {'icon': 'pages', 'color': '#795548'},
  '⛵': {'icon': 'directions_boat', 'color': '#ff5722'},
  '🅿': {'icon': 'local_parking', 'color': '#3f51b5'},
  '☎️': {'icon': 'phone', 'color': '#f44336'},
  '💻': {'icon': 'computer', 'color': '#009688'},
  '💰': {'icon': 'local_atm', 'color': '#ff9800'},
  '💸': {'icon': 'local_atm', 'color': '#ff9800'},
  '🤑': {'icon': 'local_atm', 'color': '#ff9800'},
  '🛋': {'icon': 'school', 'color': '#607d8b'},
  '📹': {'icon': 'videocam', 'color': '#2196f3'},
  '📷': {'icon': 'photo_camera', 'color': '#4caf50'},
  '📸': {'icon': 'photo_camera', 'color': '#4caf50'},
  '⚒': {'icon': 'build', 'color': '#607d8b'},
  '🔨': {'icon': 'build', 'color': '#607d8b'},
  '🛠': {'icon': 'build', 'color': '#607d8b'},
  '⌚': {'icon': 'watch', 'color': '#9c27b0'},
  '💍': {'icon': 'filter_vintage', 'color': '#673ab7'},
  '🏢': {'icon': 'work', 'color': '#2196f3'},
  '🏛': {'icon': 'account_balance', 'color': '#2196f3'},
  '💊': {'icon': 'local_pharmacy', 'color': '#e91e63'},
  '🕴': {'icon': 'store', 'color': '#607d8b'},
  '👞': {'icon': 'local_mall', 'color': '#9c27b0'},
  '👡': {'icon': 'local_mall', 'color': '#9c27b0'},
  '⛽️': {'icon': 'local_gas_station', 'color': '#f44336'},
  '🌹': {'icon': 'local_florist', 'color': '#e91e63'},
  '🏵': {'icon': 'local_florist', 'color': '#e91e63'},
  '🏘': {'icon': 'home', 'color': '#4caf50'},
  '🏠': {'icon': 'home', 'color': '#4caf50'},
  '🏡': {'icon': 'home', 'color': '#4caf50'},
  '🛍': {'icon': 'local_mall', 'color': '#9c27b0'},
  '🛒': {'icon': 'shopping_cart', 'color': '#9c27b0'},
  '❄': {'icon': 'ac_unit', 'color': '#00bcd4'},
  '⛄': {'icon': 'ac_unit', 'color': '#00bcd4'},
  '🌨': {'icon': 'ac_unit', 'color': '#00bcd4'},
  '👕': {'icon': 'local_mall', 'color': '#9c27b0'},
  '👨': {'icon': 'face', 'color': '#3f51b5'},
  '💿': {'icon': 'album', 'color': '#9e9e9e'},
  '🎵': {'icon': 'audiotrack', 'color': '#673ab7'},
  '🎹': {'icon': 'audiotrack', 'color': '#673ab7'},
  '🎼': {'icon': 'audiotrack', 'color': '#673ab7'},
  '🌭': {'icon': 'local_dining', 'color': '#e91e63'},
  '🌮': {'icon': 'local_dining', 'color': '#e91e63'},
  '🕰': {'icon': 'looks', 'color': '#e91e63'},
  '🍺': {'icon': 'local_bar', 'color': '#f44336'},
  '🍻': {'icon': 'local_bar', 'color': '#f44336'},
  '🚲': {'icon': 'directions_bike', 'color': '#2196f3'},
  '📖': {'icon': 'book', 'color': '#3f51b5'},
  '📚': {'icon': 'book', 'color': '#3f51b5'},
  '🎨': {'icon': 'palette', 'color': '#9c27b0'},
  '💱': {'icon': 'local_atm', 'color': '#009688'},
  '👧': {'icon': 'face', 'color': '#e91e63'},
  '🚬': {'icon': 'smoking_rooms', 'color': '#795548'},
  '📰': {'icon': 'library_books', 'color': '#2196f3'},
  '🏊': {'icon': 'pool', 'color': '#2196f3'},
  '🏕': {'icon': 'explore', 'color': '#8bc34a'},
  '👯': {'icon': 'sentiment_satisfied', 'color': '#9c27b0'},
  '💃': {'icon': 'accessibility_new', 'color': '#673ab7'},
  '🏅': {'icon': 'star_outline', 'color': '#ff9800'},
  '🏈': {'icon': 'fitness_center', 'color': '#009688'},
  '⛳': {'icon': 'golf_course', 'color': '#009688'},
  '🏌': {'icon': 'golf_course', 'color': '#009688'},
  '🎮': {'icon': 'videogame_asset', 'color': '#8bc34a'},
  '🎢': {'icon': 'toys', 'color': '#e91e63'},
  '🐟': {'icon': 'opacity', 'color': '#2196f3'},
  '👓': {'icon': 'remove_red_eye', 'color': '#3f51b5'},
  '🎒': {'icon': 'school', 'color': '#607d8b'},
  '🏫': {'icon': 'school', 'color': '#607d8b'},
  '👶': {'icon': 'child_friendly', 'color': '#00bcd4'},
  '📮': {'icon': 'mail', 'color': '#2196f3'},
  '✉': {'icon': 'mail', 'color': '#2196f3'},
  '📩': {'icon': 'mail', 'color': '#2196f3'},
  '💳': {'icon': 'credit_card', 'color': '#607d8b'}
};
